# Uses of Enum
org.apache.qpid.proton.codec.Data.DataType

Packages that use Data.DataType
Package
Description
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of Data.DataType in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return Data.DataType
Modifier and Type
Method
Description
`Data.DataType`
Data.`getArrayType()`
`Data.DataType`
Data.`next()`
`Data.DataType`
Data.`prev()`
`Data.DataType`
Data.`type()`
`static Data.DataType`
Data.DataType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Data.DataType[]`
Data.DataType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.codec with parameters of type Data.DataType
Modifier and Type
Method
Description
`void`
Data.`putArray(boolean described, Data.DataType type)`

## Uses of Data.DataType in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return Data.DataType
Modifier and Type
Method
Description
`Data.DataType`
DataImpl.`getArrayType()`
`Data.DataType`
DataImpl.`next()`
`Data.DataType`
DataImpl.`prev()`
`Data.DataType`
DataImpl.`type()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type Data.DataType
Modifier and Type
Method
Description
`void`
DataImpl.`putArray(boolean described, Data.DataType type)`